/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:14pm
Filepath: scripts\events and scenarios\Halloween2011\Quests\Quest Givers\Corgan.cs
Lines of code: 78

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{
	public class IDreamOfSwirlsQuest : BaseQuest
	{				
		public override object Title{ get{ return "I Dream Of Swirls"; } }
		
		public override object Description{ get{ return "I love nougat swirls but my wife Tabitha never keeps any around the house. If you bring me a bunch of them, I'll tell you a secret about this house that may be of interest to you"; } }
		
		public override object Refuse{ get{ return "Alright, I understand. Nougat swirls are hard to find these days."; } }
		
		public override object Uncomplete{ get{ return "If you're looking for candy, some of the other witches might offer you some quests with a bag of candy as the reward."; } }
		
		public override object Complete{ get{ return "Thank you so much for bringing me some nougat swirls. Take this hint scroll as your reward, just don't let Tabitha know I let you in on this secret!"; } }
	
		public IDreamOfSwirlsQuest() : base()
		{			
			AddObjective( new ObtainObjective( typeof( NougatSwirl ), "Nougat Swirl", 20, 18064, 0, 0 ) );
			
			AddReward( new BaseReward( typeof( GreenFrogHintScroll ), "A hint scroll" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Corgan : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( IDreamOfSwirlsQuest )
			};} 
		}
		
		[Constructable]
		public Corgan() : base( "Corgan", "the Warlock" )
		{			
				SetSkill( SkillName.Meditation, 60.0, 83.0 );
				SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Corgan( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 0x83EA;

			Female = false;
			Body = 0x190;
		}
		
		public override void InitOutfit()
		{
			AddItem( new Robe( 0x1 ) );
			AddItem( new Sandals() );
			AddItem( new WizardsHat( 0x1 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;
			HairHue = 1164;

			Item staff = new GnarledStaff();
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}